<template>
  <div
    class="w-full flex flex-col p-6 items-start gap-8 bg-surfaceBright border border-borderColor border-opacity-100 rounded-[8px]"
    :class="cardType === 'default' ? 'max-w-[758px]' : 'max-w-[360px]'"
  >
    <div class="flex flex-col items-start gap-[10px] self-stretch">
      <svn-pro-title
        medium
        :h5="cardType === 'default'"
        :h6="cardType === 'compact'"
      >
        {{ cardTitle }}
      </svn-pro-title>

      <div
        v-html="cardDescription"
        class="w-full text-onSurfaceVariant text-subtitle-1 font-weight-regular break-all"
      />
    </div>

    <div class="flex justify-end items-center self-stretch">
      <svn-pro-button
        variant="flat"
        color="primary"
        :text="cardButtonText"
        :class="cardType !== 'default' ? 'w-full' : ''"
        @click="onClickCard"
      />
    </div>
  </div>
</template>

<script setup>
import SvnProTitle from "../../components/styles/SvnProTitle.vue";
import SvnProButton from "../../components/button/SvnProButton.vue";

const props = defineProps({
  cardType: {
    type: String,
    default: "default",
  },
  cardTitle: {
    type: String,
    default: "🙌 You've reached the end! Ready for the quiz?",
  },
  cardDescription: {
    type: String,
    default: "To complete this module, evaluate yourself with a quiz.",
  },
  cardButtonText: {
    type: String,
    default: "Start Quiz",
  },
})

const emits = defineEmits(['action-clicked'])

const onClickCard = () => {
  emits('action-clicked')
}
</script>